echo off
cls
echo                    CALIFORNIA COMPUTERIZED ASSESSMENT PACKAGE
echo                      DATA COMPRESSION AND TRANSFER PROGRAM
echo             Copyright (c) 1991 Eric N. Miller.  All Rights Reserved.
echo 
if t%1t == tt goto nodest
if t%2t == tt goto nodest
if not exist trans3.bat goto nodest
echo Now compressing CalCAP Data files ...
echo 
LHARC a %1.LZH *.dat
if not exist %1.LZH goto oops2
LHARC t %1.LZH > T$T1X.TLQ
if exist error.sum erase error.sum
trans1 TRANS4
if exist error.sum goto oops1
call trans5
erase trans5.bat
echo 
echo Transferring %1.LZH to Drive %2
echo 
copy %1.LZH %2
if not exist %2%1.LZH goto oops3
goto end
:nodest
echo This command will compress all of your data files into a much smaller
echo file named mmddyyA.LZH (where mmddyy is today's date).  If you have
echo already compressed data today, the letter 'A' will be changed to 'B'. 
echo This file will be stored on your hard disk and will also be transferred 
echo to a floppy disk. The individual data files will be erased and will no
echo longer be readily accessible using the REVIEW command.
echo 
echo The correct format for executing this program is shown below.  You need to
echo enter the location of the floppy disk drive where you want your data 
echo to be sent. You must be in the default subdirectory for the CalCAP program.
echo For example, if your program is in subdirectory \CalCAP on Drive C 
echo and your data transfer disk is in Drive A, then you would type:
echo                               C:
echo                               CD \CalCAP
echo                               TRANSFER A:
echo 
goto end2
:oops1
erase %1.LZH
erase t$t1x.tlq
erase trans5.bat
cls
echo 
echo An error was detected while trying to compress the data files.  Data
echo files were not successfully compressed -- LZH file was not created.
echo Review the file ERROR.SUM for a list of errors detected during
echo data compression.  You can probably fix the problem by starting the
echo transfer routine again. 
echo 
goto end2
:oops2
echo 
echo An error was detected while trying to compress the data files.  Data
echo files were not successfully compressed.
echo 
goto end2
:oops3
echo 
echo The data files were compressed into a single file called %1.LZH.  The
echo files were not successfully transferred to Drive %2.  You will need to
echo fix the problem with Drive %2 and then manually transfer %1.LZH to the
echo floppy disk by typing:
echo                           copy %1.LZH %2
echo 
goto end2
:end
cls
echo 
echo The CalCAP data files have been compressed and transferred to Drive %2
echo 
echo The original data files are still on your hard disk (in a compressed
echo format) in case you need to review these data at a later date.  The
echo individual data files are archived in a single file called %1.LZH
echo 
rem echo If you keep the CalCAP program in a subdirectory \CalCAP on Drive C,
rem echo you can retrieve the data files by entering the following commands:
rem echo 
rem echo                               C:
rem echo                               CD \CalCAP
rem echo                               LHARC x %1.LZH
rem echo 
:end2
